commit:     04ab9e03436cc7a4b3aa416a9df3a57ed656e461
Author:     NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 12 05:03:23 2016 +0000
Commit:     NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Fri Aug 12 05:12:55 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04ab9e03

x11-misc/mozo: 1.12.x vbump, add gtk3 support, import from project repo

Package-Manager: portage-2.3.0

 x11-misc/mozo/Manifest              |  2 +
 x11-misc/mozo/metadata.xml          |  3 ++
 x11-misc/mozo/mozo-1.12.0-r1.ebuild | 76 +++++++++++++++++++++++++++++++++++++
 3 files changed, 81 insertions(+)

diff --git a/x11-misc/mozo/Manifest b/x11-misc/mozo/Manifest
index 0dea73f..27cf776 100644
--- a/x11-misc/mozo/Manifest
+++ b/x11-misc/mozo/Manifest
@@ -1 +1,3 @@
 DIST mozo-1.10.1.tar.xz 163456 SHA256 
91e97700d67cddaf39ec5f06d1bddaf585458d7677d76d72a4a527cfd030ecd8 SHA512 
767f81c84642f83ba7579fde5eceedb588d934e52f0dd8f8a405e596e445aa68d0e3828db909130d121298e4fc7822736b45af7eda8f2c01f809b9df294a4aea
 WHIRLPOOL 
6542017d320840a8a1f53e8e44c4a38a81efa62352ebe46c7f5b50bca9cde19401ff3cf07b08f4f85f15c555964af26dc539c95ec8062fd31bed8e25dafaa299
+DIST mozo-1.12.0-gtk3.patch.bz2 6562 SHA256 
b8aed33b49bd7d5c09d9546770ba79d8643b8d7eb56a0d512e1105c8e8ffd32d SHA512 
9f86a77f29fb359fb59092d819634d2223b74c5eb149917b1442589306d989cfb87df2cc8c4f1e36fd086ba57a75274feccb4978cc0156e20cfd73712ea2a48b
 WHIRLPOOL 
3b78ad3496b6f31e90effff345c83805d6e35a910a4298cfd35a048810425cc26283b8da72cb5134d84a81fa124a0197fa1ba446aa99c0add1eeafc24ae5c31c
+DIST mozo-1.12.0.tar.xz 163820 SHA256 
59ab1c873064177e5515ba31c493fe9fd158c37b1054f7ae638c6571640aecc7 SHA512 
93e760b791a74b6a6ca0377d5aaa060c8bf339dcfde91fcb146ef1e37cc25912b3c93fa2b4d612c0abf2bbd00597c80b58769bc88b57925ec4c465967f32c05b
 WHIRLPOOL 
188419370e749b984d6cc1437baf67dc2611e255d9e18ee2cee113eff578cde8db078064050d63e523d457d5b1fa391a6f1a1db0e95f23c0c79742e484670932

diff --git a/x11-misc/mozo/metadata.xml b/x11-misc/mozo/metadata.xml
index 5d6c45d..97db2f6 100644
--- a/x11-misc/mozo/metadata.xml
+++ b/x11-misc/mozo/metadata.xml
@@ -5,6 +5,9 @@
         <email>m...@gentoo.org</email>
         <name>Gentoo MATE Desktop</name>
     </maintainer>
+       <use>
+               <flag name="gtk3">Build with GTK+3 instead of GTK+2</flag>
+       </use>
     <upstream>
         <remote-id type="github">mate-desktop/mozo</remote-id>
     </upstream>

diff --git a/x11-misc/mozo/mozo-1.12.0-r1.ebuild 
b/x11-misc/mozo/mozo-1.12.0-r1.ebuild
new file mode 100644
index 0000000..723f591
--- /dev/null
+++ b/x11-misc/mozo/mozo-1.12.0-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+
+inherit python-r1 mate
+
+SRC_URI="${SRC_URI} gtk3? ( 
https://dev.gentoo.org/~np-hardass/distfiles/${PN}/${P}-gtk3.patch.bz2 )"
+KEYWORDS="~amd64 ~arm ~x86"
+
+DESCRIPTION="Mozo menu editor for MATE"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="gtk3"
+
+RDEPEND="${PYTHON_DEPS}
+       >=mate-base/mate-menus-1.6[introspection]
+       x11-libs/gdk-pixbuf:2[introspection]
+       virtual/libintl:0
+       !!x11-misc/mate-menu-editor
+       !gtk3? (
+               >=dev-python/pygobject-2.15.1:2[${PYTHON_USEDEP}]
+               >=dev-python/pygtk-2.13:2[${PYTHON_USEDEP}]
+               >=mate-base/mate-menus-1.6[python]
+               x11-libs/gtk+:2[introspection]
+       )
+       gtk3? (
+               >=dev-python/pygobject-3:3[${PYTHON_USEDEP}]
+               x11-libs/gtk+:3[introspection]
+       )"
+
+DEPEND="${COMMON_DEPEND}
+       >=dev-util/intltool-0.40:*
+       sys-devel/gettext:*
+       virtual/pkgconfig:*"
+
+src_prepare() {
+       if use gtk3; then
+               eapply "${WORKDIR}/${P}-gtk3.patch"
+               MATE_FORCE_AUTORECONF=true
+       fi
+       mate_src_prepare
+       python_copy_sources
+}
+
+src_configure() {
+       python_foreach_impl run_in_build_dir mate_src_configure \
+               --disable-icon-update
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+       python_foreach_impl run_in_build_dir emake check
+}
+
+src_install() {
+       installing() {
+               mate_src_install
+
+               # Massage shebang to make python_doscript happy
+               sed -e 's:#! '"${PYTHON}:#!/usr/bin/python:" \
+                       -i mozo || die
+
+               python_doscript mozo
+       }
+
+       python_foreach_impl run_in_build_dir installing
+}

Reply via email to